# coding: utf-8

"""
    Identity Service API

    A list of identity, account and service management APIs.  # noqa: E501

    OpenAPI spec version: 1.6.5
    
    Generated by: https://github.com/swagger-api/swagger-codegen.git
"""

import pprint
import re  # noqa: F401

import six

class OrganizationScopes(object):
    """NOTE: This class is auto generated by the swagger code generator program.

    Do not edit the class manually.
    """
    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'all_roles': 'bool',
        'role_names': 'list[str]',
        'roles': 'list[CspgatewayamapiorgsorgIdoauthappsAllowedScopesOrganizationScopesRoles]'
    }

    attribute_map = {
        'all_roles': 'allRoles',
        'role_names': 'roleNames',
        'roles': 'roles'
    }

    def __init__(self, all_roles=None, role_names=None, roles=None):  # noqa: E501
        """OrganizationScopes - a model defined in Swagger"""  # noqa: E501
        self._all_roles = None
        self._role_names = None
        self._roles = None
        self.discriminator = None
        if all_roles is not None:
            self.all_roles = all_roles
        if role_names is not None:
            self.role_names = role_names
        if roles is not None:
            self.roles = roles

    @property
    def all_roles(self):
        """Gets the all_roles of this OrganizationScopes.  # noqa: E501

        For CSP compatibility, ignored by the Identity Service.  # noqa: E501

        :return: The all_roles of this OrganizationScopes.  # noqa: E501
        :rtype: bool
        """
        return self._all_roles

    @all_roles.setter
    def all_roles(self, all_roles):
        """Sets the all_roles of this OrganizationScopes.

        For CSP compatibility, ignored by the Identity Service.  # noqa: E501

        :param all_roles: The all_roles of this OrganizationScopes.  # noqa: E501
        :type: bool
        """

        self._all_roles = all_roles

    @property
    def role_names(self):
        """Gets the role_names of this OrganizationScopes.  # noqa: E501

        List of role role/service role names to add.  # noqa: E501

        :return: The role_names of this OrganizationScopes.  # noqa: E501
        :rtype: list[str]
        """
        return self._role_names

    @role_names.setter
    def role_names(self, role_names):
        """Sets the role_names of this OrganizationScopes.

        List of role role/service role names to add.  # noqa: E501

        :param role_names: The role_names of this OrganizationScopes.  # noqa: E501
        :type: list[str]
        """

        self._role_names = role_names

    @property
    def roles(self):
        """Gets the roles of this OrganizationScopes.  # noqa: E501

        For CSP compatibility, ignored by the Identity Service.  # noqa: E501

        :return: The roles of this OrganizationScopes.  # noqa: E501
        :rtype: list[CspgatewayamapiorgsorgIdoauthappsAllowedScopesOrganizationScopesRoles]
        """
        return self._roles

    @roles.setter
    def roles(self, roles):
        """Sets the roles of this OrganizationScopes.

        For CSP compatibility, ignored by the Identity Service.  # noqa: E501

        :param roles: The roles of this OrganizationScopes.  # noqa: E501
        :type: list[CspgatewayamapiorgsorgIdoauthappsAllowedScopesOrganizationScopesRoles]
        """

        self._roles = roles

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(OrganizationScopes, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, OrganizationScopes):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
